package com.ruoyi.common.utils.poi;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.ruoyi.project.VRdemo.domain.Press;
import com.ruoyi.project.VRdemo.mapper.DataExcelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
@Component
public class PressImportListener extends AnalysisEventListener<Press> {


    @Autowired
    private DataExcelMapper DataExcelMapper;


    // 存储读取到的数据
    private List<Press> dataList = new ArrayList<Press>();

    public List<Press> getDataList() {
        return dataList;
    }

    public PressImportListener(DataExcelMapper DataExcelMapper) {
        this.DataExcelMapper = DataExcelMapper;
    }

    @Override
    public void invoke(Press press, AnalysisContext analysisContext) {
        dataList.add(press);
    }

    // 所有数据解析完成后的回调方法，其中analysisContext包含解析的统计信息
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }
}
