package com.ruoyi.common.utils.poi;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.ruoyi.project.VRdemo.domain.NoticeImData;
import com.ruoyi.project.VRdemo.domain.StudyImData;
import com.ruoyi.project.VRdemo.mapper.DataExcelMapper;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.List;

public class StudyImListener extends AnalysisEventListener<StudyImData> {


    @Autowired
    private  DataExcelMapper DataExcelMapper;


    // 存储读取到的数据
    private List<StudyImData> dataList = new ArrayList<>();

    public List<StudyImData> getDataList() {
        return dataList;
    }

    public StudyImListener(DataExcelMapper DataExcelMapper) {
        this.DataExcelMapper = DataExcelMapper;
    }

    // 解析每一行数据时的回调方法
    @Override
    public void invoke(StudyImData StudyImData, AnalysisContext analysisContext) {

        dataList.add(StudyImData);

    }

    // 所有数据解析完成后的回调方法，其中analysisContext包含解析的统计信息
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }
}