package com.ruoyi.project.VRdemo.controller;

import com.ruoyi.framework.aspectj.lang.annotation.Anonymous;
import com.ruoyi.project.VRdemo.domain.SearchData;
import com.ruoyi.project.VRdemo.service.ISearchService;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/vr/search")
public class SearchController {

    @Autowired
    private ISearchService searchService;

    // 高级检索功能接口
    @Anonymous
    @PostMapping("/SearchDatabases")
    public List<Object> searchDatabases(@RequestBody List<SearchData> searchData) {
        return searchService.MappingSelection(searchData);
    }
}
