package com.ruoyi.common.utils.poi;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.ruoyi.project.VRdemo.domain.Research;
import com.ruoyi.project.VRdemo.mapper.DataExcelMapper;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.List;

public class ResearchImportListener extends AnalysisEventListener<Research> {


    @Autowired
    private com.ruoyi.project.VRdemo.mapper.DataExcelMapper DataExcelMapper;


    // 存储读取到的数据
    private List<Research> dataList = new ArrayList<Research>();

    public List<Research> getDataList() {
        return dataList;
    }

    public ResearchImportListener(DataExcelMapper DataExcelMapper) {
        this.DataExcelMapper = DataExcelMapper;
    }

    @Override
    public void invoke(Research Research, AnalysisContext analysisContext) {
        dataList.add(Research);
    }

    // 所有数据解析完成后的回调方法，其中analysisContext包含解析的统计信息
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }
}