package com.ruoyi.common.utils.poi;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.ruoyi.project.VRdemo.domain.Thesis;
import com.ruoyi.project.VRdemo.mapper.DataExcelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
public class ThesisImportListener extends AnalysisEventListener<Thesis> {


    @Autowired
    private DataExcelMapper DataExcelMapper;


    // 存储读取到的数据
    private List<Thesis> dataList = new ArrayList<Thesis>();

    public List<Thesis> getDataList() {
        return dataList;
    }

    public ThesisImportListener(DataExcelMapper DataExcelMapper) {
        this.DataExcelMapper = DataExcelMapper;
    }

    @Override
    public void invoke(Thesis Thesis, AnalysisContext analysisContext) {
        dataList.add(Thesis);
    }

    // 所有数据解析完成后的回调方法，其中analysisContext包含解析的统计信息
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }
}
