package com.ruoyi.project.VRdemo.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * @ClassName NoteData
 * @Description TODO
 * @Author zhixian li 
 * @Date 2023年07月17日 16:30 
 * @Version 1.0
 */
public class NoteData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    private Long id;

    /** 所属企业ID */
    @Excel(name = "所属企业ID")
    private Long companyId;

    /** 数据类别 */
    @Excel(name = "数据类别")
    private Long dataType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 文档路径 */
    @Excel(name = "文档路径")
    private String path;

    /** 文档链接 */
    @Excel(name = "文档链接")
    private String url;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 数量 */
    @Excel(name = "数量")
    private Long count;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setDataType(Long dataType)
    {
        this.dataType = dataType;
    }

    public Long getDataType()
    {
        return dataType;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setPath(String path)
    {
        this.path = path;
    }

    public String getPath()
    {
        return path;
    }
    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getUrl()
    {
        return url;
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("companyId", getCompanyId())
                .append("dataType", getDataType())
                .append("title", getTitle())
                .append("path", getPath())
                .append("url", getUrl())
                .append("sort", getSort())
                .append("count", getCount())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
