package com.ruoyi.project.VRdemo.domain;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class NoticeImData {
    private static final long serialVersionUID = 1L;

    /** 自增id */
    @ExcelIgnore
    private Long id;

    /** 所属企业ID */
    @ExcelIgnore
    private Long company_id;

    /** 主题 */
    @ExcelProperty( "主题")
    private String title;

    /** 主讲人 */
    @ExcelProperty("主讲人")
    private String speaker;

    /** 主办单位 */
    @ExcelProperty("主办单位")
    private String sponsor;

    /** 主持人 */
    @ExcelProperty("主持人")
    private String host;

    /** 与谈人 */
    @ExcelProperty( "与谈人")
    private String panelist;

    /** 开展方式 */
    @ExcelProperty("开展方式")
    private String holding_type;

    /** 开展时间 */
    @ExcelProperty("开展时间")
    private String holding_time;

    /** 备注 */
    @ExcelProperty("备注")
    private String comment;

    @ExcelIgnore
    private Integer holdingTypeValue;  // 开展方式的实际值，如1或2

    public Integer getHoldingTypeValue() {
        return holdingTypeValue;
    }

    public void setHoldingTypeValue(Integer holdingTypeValue) {
        this.holdingTypeValue = holdingTypeValue;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCompany_id() {
        return company_id;
    }

    public void setCompany_id(Long company_id) {
        this.company_id = company_id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpeaker() {
        return speaker;
    }

    public void setSpeaker(String speaker) {
        this.speaker = speaker;
    }

    public String getSponsor() {
        return sponsor;
    }

    public void setSponsor(String sponsor) {
        this.sponsor = sponsor;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPanelist() {
        return panelist;
    }

    public void setPanelist(String panelist) {
        this.panelist = panelist;
    }

    public String getHolding_type() {
        return holding_type;
    }

    public void setHolding_type(String holding_type) {
        this.holding_type = holding_type;
    }

    public String getHolding_time() {
        return holding_time;
    }

    public void setHolding_time(String holding_time) {
        this.holding_time = holding_time;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }


}